﻿using Infragistics.Windows.Controls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace GetDescendantFromName_sample
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            
        }

        private void XamTabControl_Loaded(object sender, RoutedEventArgs e)
        {
            var tabControl = sender as XamTabControl;
            var tab = tabControl.Items[0] as TabItemEx;
            var button = 
                Infragistics.Windows.Utilities.GetDescendantFromName(tab, "CloseButton") as Button;
            button.ToolTip = "カスタム文字列";
        }
    }
}
